How to update config.guess?

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

How to update config.guess?

Jeffrey Walton-3
I'm trying to build a package from its release tarball. config.guess
appears to be misidentifying the platform, so I'd like to update it to
the latest version.

How do I update config.guess?

Thanks in advance.

Jeff

_______________________________________________
Autoconf mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/autoconf
Reply | Threaded
Open this post in threaded view
|

Re: How to update config.guess?

Václav Haisman-2
On 1 August 2016 at 23:58, Jeffrey Walton <[hidden email]> wrote:
> I'm trying to build a package from its release tarball. config.guess
> appears to be misidentifying the platform, so I'd like to update it to
> the latest version.
>
> How do I update config.guess?

The upstream Git repository is there:
http://git.savannah.gnu.org/gitweb/?p=config.git;a=summary

_______________________________________________
Autoconf mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/autoconf
Reply | Threaded
Open this post in threaded view
|

Re: How to update config.guess?

Jeffrey Walton-3
On Mon, Aug 1, 2016 at 6:06 PM, Václav Haisman <[hidden email]> wrote:
> On 1 August 2016 at 23:58, Jeffrey Walton <[hidden email]> wrote:
>> I'm trying to build a package from its release tarball. config.guess
>> appears to be misidentifying the platform, so I'd like to update it to
>> the latest version.
>>
>> How do I update config.guess?
>
> The upstream Git repository is there:
> http://git.savannah.gnu.org/gitweb/?p=config.git;a=summary

Thanks. I fetched config.guess with:

$ wget -O config.guess
"http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=562f3512b3911ba0c77a7f68214881d1f241f46e"

The issue seems to have gotten a little worse. Instead of a triplet, I
now have a quadruplet:

$ ./config.guess
armv7l-unknown-linux-gnueabihf

I'm guessing ARMv8 support is not quit where it needs to be.

Jeff

_______________________________________________
Autoconf mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/autoconf
Reply | Threaded
Open this post in threaded view
|

Re: How to update config.guess?

wookey-4
In reply to this post by Jeffrey Walton-3
On 2016-08-01 17:58 -0400, Jeffrey Walton wrote:
> I'm trying to build a package from its release tarball. config.guess
> appears to be misidentifying the platform, so I'd like to update it to
> the latest version.
>
> How do I update config.guess?

On distros a reasonably current version is normally available in the filesystem. On
Debian-based systems they are in:
/usr/share/misc/config.guess
/usr/share/misc/config.sub

(the package autotools-dev needs to be installed).

If building packages there are standard/recommended ways of updating
during the build, documented on https://wiki.debian.org/Autoreconf

It's also a good idea to prod upstream to update to recent versions to
save others this hassle.

Wookey
--
Principal hats:  Linaro, Debian, Wookware, ARM
http://wookware.org/

_______________________________________________
Autoconf mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/autoconf

signature.asc (836 bytes) Download Attachment